Update the specified card’s bearer details.
Version 2.4
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card |
| firstName | String | 0-50 characters | ✓ | The first name of the card bearer. Field is required but can accept empty string |
| lastName | String | 0-50 characters | ✓ | The last name of the card bearer. Field is required but can accept empty string |
| idOrPassport | String | 0-20 characters | ✓ | The id or passport number of the card bearer. Field is required but can accept empty string |
| cellphoneNumber | String | 0-20 characters | ✓ | The cellphone number of the card bearer. Field is required but can accept empty string |
| streetAddress | String | 5 characters | ✓ | The street address of the card bearer. No special characters nor alphabetic, example “17014” |
| postalCode | String | 9 characters | ✓ | The postal code of the card bearer. This value is left-justified with right-space-fill, example “12345 ”, “123456789” |
| cityAddress | String | ✓ | City or area of the card bearer. | |
| countryAddress | String | 3 characters | ✓ | ISO Alpha code indicating the country. eg. GBR |
| emailAddress | String | ✓ | Email address of the card bearer. | |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>UpdateBearer</methodName>
<params>
<param>
<value>
<string>0012345678</string>
</value>
</param>
<param>
<value>
<string>0123456789012345</string>
</value>
</param>
<param>
<value>
<string>105232700000441</string>
</value>
</param>
<param>
<value>
<string>Jhon</string>
</value>
</param>
<param>
<value>
<string>Foo</string>
</value>
</param>
<param>
<value>
<string>id12345688</string>
</value>
</param>
<param>
<value>
<string>14988885522</string>
</value>
</param>
<param>
<value>
<string>Fourth Floor, 100 Victoria Embankment</string>
</value>
</param>
<param>
<value>
<string>123456789</string>
</value>
</param>
<param>
<value>
<string>London</string>
</value>
</param>
<param>
<value>
<string>United Kingdom</string>
</value>
</param>
<param>
<value>
<string>[email protected]</string>
</value>
</param>
<param>
<value>
<string>b7a2ee6c-2ce8-4fc0-a0c7-dc577f7b148e</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20241101T12:46:20</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>D79901B1D0B5857DC2A8BF20F2B517BCCB1F58DA</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating the transaction result |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>Version 2.0
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card |
| firstName | String | 0-50 characters | ✓ | The first name of the card bearer. Field is required but can accept empty string |
| lastName | String | 0-50 characters | ✓ | The last name of the card bearer. Field is required but can accept empty string |
| idOrPassport | String | 0-20 characters | ✓ | The id or passport number of the card bearer. Field is required but can accept empty string |
| cellphoneNumber | String | 0-20 characters | ✓ | The cellphone number of the card bearer. Field is required but can accept empty string |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
